summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRomain Perier <mrpouet@gentoo.org>2009-08-19 15:24:34 +0000
committerRomain Perier <mrpouet@gentoo.org>2009-08-19 15:24:34 +0000
commit909378b058ca3af25c7bc296279b437d5327429d (patch)
tree5847fa54c6e268fe1a1729ce84ded3a2c353da2e /dev-ml/ocamlgsl/ocamlgsl-0.6.0.ebuild
parentsys-cluster/globus-build: Even more cleanup, useflags dont seem to be used fo... (diff)
downloadsunrise-909378b058ca3af25c7bc296279b437d5327429d.tar.gz
sunrise-909378b058ca3af25c7bc296279b437d5327429d.tar.bz2
sunrise-909378b058ca3af25c7bc296279b437d5327429d.zip
dev-ml/ocamlgsl: Add ~amd64 into KEYWORDS, Unquote RDEPEND, Drop -j1 to emake, Fix patch, give ${CFLAGS} to emake which is used by ocamlc with -ccopt option
svn path=/sunrise/; revision=9068
Diffstat (limited to 'dev-ml/ocamlgsl/ocamlgsl-0.6.0.ebuild')
-rw-r--r--dev-ml/ocamlgsl/ocamlgsl-0.6.0.ebuild8
1 files changed, 4 insertions, 4 deletions
diff --git a/dev-ml/ocamlgsl/ocamlgsl-0.6.0.ebuild b/dev-ml/ocamlgsl/ocamlgsl-0.6.0.ebuild
index 462aee032..7b241e779 100644
--- a/dev-ml/ocamlgsl/ocamlgsl-0.6.0.ebuild
+++ b/dev-ml/ocamlgsl/ocamlgsl-0.6.0.ebuild
@@ -12,22 +12,22 @@ SRC_URI="http://oandrieu.nerim.net/ocaml/gsl/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~x86"
+KEYWORDS="~amd64 ~x86"
IUSE="doc"
DEPEND=">=dev-lang/ocaml-3.10
>=sci-libs/gsl-1.9"
-RDEPEND="${DEPEND}"
+RDEPEND=${DEPEND}
PATCHES=( "${FILESDIR}/ocaml-3.11.patch" )
src_compile() {
- emake -j1 || die "compilation failed"
+ emake CFLAGS="${CFLAGS}" || die "emake failed"
}
src_install() {
findlib_src_preinst
- emake install-findlib -j1 || die "make install failed"
+ emake install-findlib || die "make install failed"
dodoc README NEWS NOTES || die "docs install failed"
doinfo *.info* || die "info install failed"